Create Unique Identifier
curl --request POST \
--url https://api.serial.io/identifier \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "SERIAL-NUMBER-123",
"component": "Battery Module",
"part_number": "BAT-M-92"
}
'import requests
url = "https://api.serial.io/identifier"
payload = {
"identifier": "SERIAL-NUMBER-123",
"component": "Battery Module",
"part_number": "BAT-M-92"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: 'SERIAL-NUMBER-123',
component: 'Battery Module',
part_number: 'BAT-M-92'
})
};
fetch('https://api.serial.io/identifier', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Legacy API
Create Serial Number
This endpoint is used for initializing a serial number or lot code inside of Serial. It expects a JSON payload that includes the identifier, component and part_number of the object to be initialized. The API key for authentication is sent in the headers. The server’s response is a requests.Response object.
POST
/
identifier
Create Unique Identifier
Authorizations
API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>
Body
application/jsonapplication/xml
Response
Identifier Successfully Created
⌘I

